package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我的悬赏对象 re_reward
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class ReReward extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long rewardId;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 用户图像 */
    @Excel(name = "用户图像")
    private String userUrl;

    /** 悬赏类型，0是需求，1供应 */
    @Excel(name = "悬赏类型，0是需求，1供应")
    private String type;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String title;

    /** 状态 */
    @Excel(name = "状态")
    private String state;

    /** 任务说明 */
    @Excel(name = "任务说明")
    private String rewardDesc;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validTime;

    /** 地区id */
    @Excel(name = "地区id")
    private Long areaId;

    /** 地区名称 */
    @Excel(name = "地区名称")
    private String areaName;

    /** 悬赏方式，0位无悬赏，1位按金额，2为按比例 */
    @Excel(name = "悬赏方式，0位无悬赏，1位按金额，2为按比例")
    private Integer payType;

    /** 开始 */
    @Excel(name = "开始")
    private BigDecimal startPrice;

    /** 结束 */
    @Excel(name = "结束")
    private BigDecimal endPrice;

    /** 联系人 */
    @Excel(name = "联系人")
    private String userName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 查看次数 */
    @Excel(name = "查看次数")
    private Long look;

    /** 收藏次数 */
    @Excel(name = "收藏次数")
    private Long storeNumber;

    public void setRewardId(Long rewardId) 
    {
        this.rewardId = rewardId;
    }

    public Long getRewardId() 
    {
        return rewardId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserUrl(String userUrl) 
    {
        this.userUrl = userUrl;
    }

    public String getUserUrl() 
    {
        return userUrl;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }
    public void setRewardDesc(String rewardDesc) 
    {
        this.rewardDesc = rewardDesc;
    }

    public String getRewardDesc() 
    {
        return rewardDesc;
    }
    public void setValidTime(Date validTime) 
    {
        this.validTime = validTime;
    }

    public Date getValidTime() 
    {
        return validTime;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setPayType(Integer payType) 
    {
        this.payType = payType;
    }

    public Integer getPayType() 
    {
        return payType;
    }
    public void setStartPrice(BigDecimal startPrice) 
    {
        this.startPrice = startPrice;
    }

    public BigDecimal getStartPrice() 
    {
        return startPrice;
    }
    public void setEndPrice(BigDecimal endPrice) 
    {
        this.endPrice = endPrice;
    }

    public BigDecimal getEndPrice() 
    {
        return endPrice;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setLook(Long look) 
    {
        this.look = look;
    }

    public Long getLook() 
    {
        return look;
    }
    public void setStoreNumber(Long storeNumber) 
    {
        this.storeNumber = storeNumber;
    }

    public Long getStoreNumber() 
    {
        return storeNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rewardId", getRewardId())
            .append("userId", getUserId())
            .append("userUrl", getUserUrl())
            .append("type", getType())
            .append("title", getTitle())
            .append("state", getState())
            .append("rewardDesc", getRewardDesc())
            .append("validTime", getValidTime())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("payType", getPayType())
            .append("startPrice", getStartPrice())
            .append("endPrice", getEndPrice())
            .append("userName", getUserName())
            .append("phone", getPhone())
            .append("look", getLook())
            .append("storeNumber", getStoreNumber())
            .append("createTime", getCreateTime())
            .toString();
    }
}
